package com.kingdee.eas.custom.permissioncontrol;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class PermApplyBillHisOrgScopeApplyEntryCollection extends AbstractObjectCollection 
{
    public PermApplyBillHisOrgScopeApplyEntryCollection()
    {
        super(PermApplyBillHisOrgScopeApplyEntryInfo.class);
    }
    public boolean add(PermApplyBillHisOrgScopeApplyEntryInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(PermApplyBillHisOrgScopeApplyEntryCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(PermApplyBillHisOrgScopeApplyEntryInfo item)
    {
        return removeObject(item);
    }
    public PermApplyBillHisOrgScopeApplyEntryInfo get(int index)
    {
        return(PermApplyBillHisOrgScopeApplyEntryInfo)getObject(index);
    }
    public PermApplyBillHisOrgScopeApplyEntryInfo get(Object key)
    {
        return(PermApplyBillHisOrgScopeApplyEntryInfo)getObject(key);
    }
    public void set(int index, PermApplyBillHisOrgScopeApplyEntryInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(PermApplyBillHisOrgScopeApplyEntryInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(PermApplyBillHisOrgScopeApplyEntryInfo item)
    {
        return super.indexOf(item);
    }
}